# ARC Processor

Assembler code

```armasm
.text:0000109C
.text:0000109C # =============== S U B R O U T I N E =======================================
.text:0000109C
.text:0000109C # Attributes: bp-based frame
.text:0000109C
.text:0000109C                 .global ArcMain
.text:0000109C ArcMain:                                # CODE XREF: main+C↑p
.text:0000109C
.text:0000109C arg_0           =  0
.text:0000109C arg_4           =  4
.text:0000109C
.text:0000109C                 st      blink, [sp,arg_4]
.text:000010A0                 st      fp, [sp,arg_0]
.text:000010A4                 mov     fp, sp
.text:000010A8                 sub     sp, sp, 0x10
.text:000010AC                 mov     r0, state_ls
.text:000010B4                 bl.d    Core_LocalClear
.text:000010B8                 mov     r1, 0x18
.text:000010BC                 mov     r2, _stack_start
.text:000010C4                 mov     r0, 0x12345678
.text:000010CC                 sub     r1, r1, r1
.text:000010D0                 mov     lp_count, 0x20 # ' '
.text:000010D4                 lp      loc_10E4
.text:000010D8                 add     r12, r2, r1
.text:000010DC                 st      r0, [r12]
.text:000010E0                 add     r1, r1, 4
.text:000010E4
.text:000010E4 loc_10E4:                               # CODE XREF: ArcMain+38↑j
.text:000010E4                 mov     r0, 0xFFFFFFFF
.text:000010E8                 sr      r0, [0x23] # '#'
.text:000010EC                 sr      0, COUNT # '!' # Enhanced Timer 0  Timer 0 Count value
.text:000010F4                 sr      2, CONTROL # '"' # Enhanced Timer 0  Timer 0 Control value
.text:000010FC                 bl      Platform_Initialize
.text:00001100                 bl      Core_Loop
.text:00001104                 ld      blink, [fp,arg_4]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/arc-processor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
